open('PID_windup')
sim('PID_windup')

% Cambia sfondo agli Scope
scopes = find_system(bdroot,'BlockType','Scope');
for i = 1:length(scopes)
    h = get_param(scopes{i,:},'Figure');
    %set(h,'Color',[.8 .8 .8]);
    h1 = findobj(h,'Type','axes');
    set(h1,'Color',[.8 .8 .8]);
    h1 = findobj(h,'Type','line');
    set(h1,'Color',[0 0 1],'LineWidth',2.0);
end

open('PID_antiwindup')
sim('PID_antiwindup');

% Cambia sfondo agli Scope
scopes = find_system(bdroot,'BlockType','Scope');
for i = 1:length(scopes)
    h = get_param(scopes{i,:},'Figure');
    %set(h,'Color',[.8 .8 .8]);
    h1 = findobj(h,'Type','axes');
    set(h1,'Color',[.8 .8 .8]);
    h1 = findobj(h,'Type','line');
    set(h1,'Color',[0 0 1],'LineWidth',2.0);
end

% Plot results
time=u(:,1);
time_aw=u_aw(:,1);

subplot(311);
h=plot(time_aw,y_aw(:,2),time,y(:,2));
set(h,'LineWidth',4.0);
ylabel('Uscita y(t)')
grid
subplot(312);
h=plot(time_aw,u_aw(:,2),time,u(:,2));
set(h,'LineWidth',4.0);
ylabel('Ingresso u(t)')
grid
subplot(313);
h=plot(time_aw,integ_aw,time,integ);
set(h,'LineWidth',4.0);
ylabel('Termine integrale i(t)')
xlabel('tempo t')
grid
